PM76110: CVE-2012-4557: mod_proxy_ajp incorrectly marks backend WAS CE server down

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • WebSphere Application Server Community Edition backend
    servers can incorrectly be marked down by the mod_proxy_ajp
    module.
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED:  Users of WebSphere Application              *
    *                  Server Community Edition who have           *
    *                  enabled the mod_proxy_ajp module.           *
    ****************************************************************
    * PROBLEM DESCRIPTION: WebSphere Application Server            *
    *                      Community Edition servers               *
    *                      incorrectly marked down.                *
    ****************************************************************
    * RECOMMENDATION:  Apply this fix if using mod_proxy_ajp with  *
    *                  WebSphere Application Server Community      *
    *                  Edition.                                    *
    ****************************************************************
    CVE-2012-4557: AJP servers can incorrectly be marked down
    

Problem conclusion

  • mod_proxy_ajp was updated to resolve the exposure.
    
    This fix is targeted for IBM HTTP Server fixpacks:
     - 7.0.0.29
     - 8.0.0.6
     - 8.5.0.2
    

Temporary fix

Comments

APAR Information

  • APAR number

    PM76110

  • Reported component name

    IBM HTTP SERVER

  • Reported component ID

    5724J0801

  • Reported release

    700

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2012-10-30

  • Closed date

    2012-11-28

  • Last modified date

    2013-01-10

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    IBM HTTP SERVER

  • Fixed component ID

    5724J0801

Applicable component levels

  • R700 PSY

       UP

  • R800 PSY

       UP

  • R850 PSY

       UP



Rate this page:

(0 users)Average rating

Document information


More support for:

IBM HTTP Server
Runtime

Software version:

7.0

Reference #:

PM76110

Modified date:

2013-01-10

Translate my page

Machine Translation

Content navigation